Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class TransportFactory

    java.lang.Object
      com.skype.ipc.TransportFactory

    public class TransportFactory

extends java.lang.Object

Nested Class Summary
`class` | `TransportFactory.Result`

Constructor Summary
`TransportFactory()`

Method Summary
`protected TransportFactory.Result` | `createConnection(ClientConfiguration cfg, ConnectionListener listener, java.io.InputStream ins, java.io.OutputStream outs)`
`protected TransportFactory.Result` | `createLocalConnection(ClientConfiguration cfg, ConnectionListener listener)`
`protected boolean` | `doHandshake(ClientConfiguration configuration, ConnectionListener listener, InputTransporting in, OutputTransporting out)`
`TransportFactory.Result` | `init(ClientConfiguration cfg, ConnectionListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportFactory

    public TransportFactory()

Method Detail

### init

    public TransportFactory.Result init(ClientConfiguration cfg,
                                        ConnectionListener listener)

### createConnection

    protected TransportFactory.Result createConnection(ClientConfiguration cfg,
                                                       ConnectionListener listener,
                                                       java.io.InputStream ins,
                                                       java.io.OutputStream outs)

### doHandshake

    protected boolean doHandshake(ClientConfiguration configuration,
                                  ConnectionListener listener,
                                  InputTransporting in,
                                  OutputTransporting out)

### createLocalConnection

    protected TransportFactory.Result createLocalConnection(ClientConfiguration cfg,
                                                            ConnectionListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.